オンライン中  

/v1/reservation/

Native v2 reservation detail, share, and review endpoints.
GET

/v1/reservation/get_detail

#
Returns a native v2 reservation payload for the acting viewer. Public-by-design: anonymous share links reveal teaser metadata only; exact reservation details require sign-in.

パラメーター

名前型必須既定値説明
listingUUID string いいえ "" Reservation/listing UUID.
sharecode string いいえ "" Share code from /share/{code}.
reviewMode bool いいえ false Include reviewer context when the acting user can review this reservation.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/reservation/get_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'reviewMode={{reviewMode}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$reservation_get_detail_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payload はい
$.oneOf[0].allOf[1].Payload.oneOf[0]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].mode = "detail" はい
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys はい
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].totalinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].submittedinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].urlstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[0].transactionIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].customerSurveys.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.oneOf[0].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].listingUUIDstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].accessobject はい
$.oneOf[0].allOf[1].Payload.oneOf[0].access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] はい
$.oneOf[0].allOf[1].Payload.oneOf[0].access.canViewFullboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isOwnerboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isSharedGuestboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isReviewerboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].access.isUnlockedDetailboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].access.authorizedByShareCodeboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].access.readOnly = true いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].locationobject はい
$.oneOf[0].allOf[1].Payload.oneOf[0].location.idinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].location.namestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].location.aliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].location.addressstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].location.googleMapsURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].location.cityLinestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].location.timezonestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].location.imageURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservationobject はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.refundStatusLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.descriptorstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.inventoryNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.datestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.timeLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.dateTimeLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.partySizeLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.checkInNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.emailstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.phonestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.detailStatementstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseSummarystring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.purchaseAmountFormattedstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.headcountinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFieldsarray はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[]object いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].idinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].labelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].descriptionstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].typestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.customFields[].valuestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reservation.isPastboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].peopleobject はい
$.oneOf[0].allOf[1].Payload.oneOf[0].people.ownerAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].people.creatorAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guestsReservationGuests はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[0]array はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].shareURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].headcountinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].confirmedCountinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].pendingSlotsinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].itemsarray はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[]object いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].kindstring ["owner","shared"] はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].namestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].aliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].statusstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].guests.anyOf[1].items[].lastSeenLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].reviewReservationReview はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[0]array はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].canReview = false はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[1].isActive = false はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].revisionstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].canReview = true はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isActive = true はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].needsBeginboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isInProgressboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].isSelfReviewboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardEligibleboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardPointsinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceSmallestUnitinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].reviewRewardFormattedstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].askingPriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].questionstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByDatestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByTimestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].respondByLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].legacyReviewURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].amountFormattedstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[0].discussionURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].bid.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].historyarray はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[]object いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].createdLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].statusstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].descriptionHTMLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].review.anyOf[2].history[].reviewerAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actionsReservationActions はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].shareURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceCheckoutURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceLocationNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceInventoryNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceDateLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServiceTimeLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportProblemURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatV2URLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatV2URLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].absoluteShareURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAppointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addTransferServicePriceSmallestUnitinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].refundChatIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].sellerChatIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].addServiceAvailableboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].manageAvailableboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reportInfractionAvailableboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAvailableboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferServiceobject はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.visibleboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestAvailableboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelAvailableboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isRequestedboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isInTransferboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isCompletedboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.isFailedboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.typestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.statusstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.listingUUIDstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.currentNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedGivenNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedFamilyNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedByAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestedAtstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.requestEndpointstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].transferService.cancelEndpointstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].titlestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].promptstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].reviewRequest.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].locationReview.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellEndpointstring いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellListingIDstring いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellLocationNamestring いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellInventoryNamestring いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellDateLabelstring いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTimeLabelstring いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellAppointmentIDinteger いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellCurrentPriceSmallestUnitinteger いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMinPriceinteger いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellMaxPriceinteger いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellTransferFeeBasisPointsinteger いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRequiresReviewboolean いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSelfReviewAvailableboolean いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellRelistOriginalboolean いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffersarray いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[]object いいえ
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].timeLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].priceLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[0].resellSameDayOffers[].inventoryTypestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].actions.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.oneOf[0].copyobject はい
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.titlestring はい
$.oneOf[0].allOf[1].Payload.oneOf[0].copy.descriptionstring はい
$.oneOf[0].allOf[1].Payload.oneOf[1]object はい
$.oneOf[0].allOf[1].Payload.oneOf[1].mode = "teaser" はい
$.oneOf[0].allOf[1].Payload.oneOf[1].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[1].shareCodestring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].shareURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].ownerAliasstring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].locationobject はい
$.oneOf[0].allOf[1].Payload.oneOf[1].location.idinteger はい
$.oneOf[0].allOf[1].Payload.oneOf[1].location.namestring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].location.categoryDescriptionstring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].location.citystring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].location.imageURLstring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].reservationobject はい
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.descriptorstring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].reservation.partySizeLabelstring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].copyobject はい
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.titlestring はい
$.oneOf[0].allOf[1].Payload.oneOf[1].copy.descriptionstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/reservation/get_transfer_detail

#
Returns read-only reservation details for a transfer chat participant. Requires the current buyer or assigned transfer agent and a matching transfer chat. Locked buyers receive a summary and time window, without private booking fields. Opening this view never accepts a share invitation or changes the transfer.

パラメーター

名前型必須既定値説明
transferChatID int いいえ 0 Transfer chat ID.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/reservation/get_transfer_detail' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'transferChatID={{transferChatID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$reservation_get_transfer_detail_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.mode = "detail" はい
$.oneOf[0].allOf[1].Payload.customerSurveys はい
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].totalinteger はい
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].submittedinteger はい
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].urlstring はい
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[0].transactionIDinteger はい
$.oneOf[0].allOf[1].Payload.customerSurveys.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.listingUUIDstring はい
$.oneOf[0].allOf[1].Payload.accessobject はい
$.oneOf[0].allOf[1].Payload.access.rolestring ["owner","shared","reviewer","guest","transfer-agent","submission"] はい
$.oneOf[0].allOf[1].Payload.access.canViewFullboolean はい
$.oneOf[0].allOf[1].Payload.access.isOwnerboolean はい
$.oneOf[0].allOf[1].Payload.access.isSharedGuestboolean はい
$.oneOf[0].allOf[1].Payload.access.isReviewerboolean はい
$.oneOf[0].allOf[1].Payload.access.isUnlockedDetailboolean はい
$.oneOf[0].allOf[1].Payload.access.authorizedByShareCodeboolean はい
$.oneOf[0].allOf[1].Payload.access.readOnly = true いいえ
$.oneOf[0].allOf[1].Payload.locationobject はい
$.oneOf[0].allOf[1].Payload.location.idinteger はい
$.oneOf[0].allOf[1].Payload.location.namestring はい
$.oneOf[0].allOf[1].Payload.location.aliasstring はい
$.oneOf[0].allOf[1].Payload.location.addressstring はい
$.oneOf[0].allOf[1].Payload.location.googleMapsURLstring はい
$.oneOf[0].allOf[1].Payload.location.cityLinestring はい
$.oneOf[0].allOf[1].Payload.location.timezonestring はい
$.oneOf[0].allOf[1].Payload.location.imageURLstring はい
$.oneOf[0].allOf[1].Payload.reservationobject はい
$.oneOf[0].allOf[1].Payload.reservation.refundStatusLabelstring はい
$.oneOf[0].allOf[1].Payload.reservation.descriptorstring はい
$.oneOf[0].allOf[1].Payload.reservation.inventoryNamestring はい
$.oneOf[0].allOf[1].Payload.reservation.datestring はい
$.oneOf[0].allOf[1].Payload.reservation.timestring はい
$.oneOf[0].allOf[1].Payload.reservation.dateLabelstring はい
$.oneOf[0].allOf[1].Payload.reservation.timeLabelstring はい
$.oneOf[0].allOf[1].Payload.reservation.dateTimeLabelstring はい
$.oneOf[0].allOf[1].Payload.reservation.partySizeLabelstring はい
$.oneOf[0].allOf[1].Payload.reservation.checkInNamestring はい
$.oneOf[0].allOf[1].Payload.reservation.emailstring はい
$.oneOf[0].allOf[1].Payload.reservation.phonestring はい
$.oneOf[0].allOf[1].Payload.reservation.detailStatementstring はい
$.oneOf[0].allOf[1].Payload.reservation.purchaseSummarystring はい
$.oneOf[0].allOf[1].Payload.reservation.purchaseAmountFormattedstring はい
$.oneOf[0].allOf[1].Payload.reservation.statusstring ["Draft","Submitted","In Review","Rejected","Private","Unlocked","Approved","Refunded","Transfer Requested","Transfer Failed","Transfer Failed But Unlocked","Standard Failed","Archived","In Transfer"] はい
$.oneOf[0].allOf[1].Payload.reservation.headcountinteger はい
$.oneOf[0].allOf[1].Payload.reservation.customFieldsarray はい
$.oneOf[0].allOf[1].Payload.reservation.customFields[]object いいえ
$.oneOf[0].allOf[1].Payload.reservation.customFields[].idinteger はい
$.oneOf[0].allOf[1].Payload.reservation.customFields[].labelstring はい
$.oneOf[0].allOf[1].Payload.reservation.customFields[].descriptionstring はい
$.oneOf[0].allOf[1].Payload.reservation.customFields[].typestring はい
$.oneOf[0].allOf[1].Payload.reservation.customFields[].valuestring はい
$.oneOf[0].allOf[1].Payload.reservation.isPastboolean はい
$.oneOf[0].allOf[1].Payload.peopleobject はい
$.oneOf[0].allOf[1].Payload.people.ownerAliasstring はい
$.oneOf[0].allOf[1].Payload.people.creatorAliasstring はい
$.oneOf[0].allOf[1].Payload.guestsReservationGuests はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[0]array はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].shareURLstring はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].headcountinteger はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].confirmedCountinteger はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].pendingSlotsinteger はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].itemsarray はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[]object いいえ
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].kindstring ["owner","shared"] はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].namestring はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].aliasstring はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].statusstring はい
$.oneOf[0].allOf[1].Payload.guests.anyOf[1].items[].lastSeenLabelstring はい
$.oneOf[0].allOf[1].Payload.reviewReservationReview はい
$.oneOf[0].allOf[1].Payload.review.anyOf[0]array はい
$.oneOf[0].allOf[1].Payload.review.anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.review.anyOf[1].canReview = false はい
$.oneOf[0].allOf[1].Payload.review.anyOf[1].isActive = false はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2]object はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].revisionstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].canReview = true はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isActive = true はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].needsBeginboolean はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isInProgressboolean はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].isSelfReviewboolean はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardEligibleboolean はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardPointsinteger はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceSmallestUnitinteger はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].reviewRewardFormattedstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].askingPriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].questionstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByDatestring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByTimestring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].respondByLabelstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].legacyReviewURLstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].amountFormattedstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[0].discussionURLstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].bid.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].historyarray はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[]object いいえ
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].createdLabelstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].statusstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].descriptionHTMLstring はい
$.oneOf[0].allOf[1].Payload.review.anyOf[2].history[].reviewerAliasstring はい
$.oneOf[0].allOf[1].Payload.actionsReservationActions はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].shareURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceCheckoutURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceLocationNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceInventoryNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceDateLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServiceTimeLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportProblemURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatV2URLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatV2URLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].absoluteShareURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAppointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addTransferServicePriceSmallestUnitinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].refundChatIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].sellerChatIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].addServiceAvailableboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].manageAvailableboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reportInfractionAvailableboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAvailableboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferServiceobject はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.visibleboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestAvailableboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelAvailableboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isRequestedboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isInTransferboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isCompletedboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.isFailedboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.typestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.statusstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.listingUUIDstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.currentNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedGivenNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedFamilyNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedByAliasstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestedAtstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.requestEndpointstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].transferService.cancelEndpointstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].reviewRequestIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoardIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetLocationIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetTypestring ["user","location"] はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetRolestring ["buyer","seller","location"] はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].countinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].citystring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].intentstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].callbackstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].unitLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[0].selectedboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].selectedBoard.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetDisplayNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].titlestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].subtitlestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].promptstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].ctaLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetUserIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetAliasstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].targetProfileURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].completedPostURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[0].viewURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].reviewRequest.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0]LocationReviewAction はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].reviewRequestIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoardIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetLocationIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetTypestring ["user","location"] はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetRolestring ["buyer","seller","location"] はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].countinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].citystring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].cityGroupCodestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].intentstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].callbackstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].unitLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingDescriptionstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].createsRegularBoardPostboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultRequestBoardboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].isDefaultListingBoardboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].routingEnabledboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[0].selectedboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].selectedBoard.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetDisplayNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].titlestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].subtitlestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].promptstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].ctaLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetUserIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetAliasstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].targetProfileURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].completedPostURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[0].viewURLstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].reviewRequestIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoardIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetLocationIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetTypestring ["user","location"] はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetRolestring ["buyer","seller","location"] はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].boardIDinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].countinteger はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].citystring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].cityGroupCodestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].intentstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].callbackstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].unitLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingDescriptionstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].createsRegularBoardPostboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultRequestBoardboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].isDefaultListingBoardboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].routingEnabledboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[0].selectedboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].selectedBoard.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].targetDisplayNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationNamestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].titlestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].subtitlestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].promptstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].ctaLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[0].anyOf[1].completedboolean はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].locationReview.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellEndpointstring いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellListingIDstring いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellLocationNamestring いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellInventoryNamestring いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellDateLabelstring いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTimeLabelstring いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellAppointmentIDinteger いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellCurrentPriceSmallestUnitinteger いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMinPriceinteger いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellMaxPriceinteger いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellTransferFeeBasisPointsinteger いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRequiresReviewboolean いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSelfReviewAvailableboolean いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellRelistOriginalboolean いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffersarray いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[]object いいえ
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].timeLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].priceLabelstring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[0].resellSameDayOffers[].inventoryTypestring はい
$.oneOf[0].allOf[1].Payload.actions.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.copyobject はい
$.oneOf[0].allOf[1].Payload.copy.titlestring はい
$.oneOf[0].allOf[1].Payload.copy.descriptionstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/get_transfer_detail",
    "RequestUserAlias": "example-user",
    "Payload": {
        "mode": "detail",
        "customerSurveys": {
            "total": 0,
            "submitted": 0,
            "url": "synthetic-example",
            "transactionID": 0
        },
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "access": {
            "role": "owner",
            "canViewFull": false,
            "isOwner": false,
            "isSharedGuest": false,
            "isReviewer": false,
            "isUnlockedDetail": false,
            "authorizedByShareCode": false
        },
        "location": {
            "id": 0,
            "name": "synthetic-example",
            "alias": "synthetic-example",
            "address": "synthetic-example",
            "googleMapsURL": "synthetic-example",
            "cityLine": "synthetic-example",
            "timezone": "synthetic-example",
            "imageURL": "synthetic-example"
        },
        "reservation": {
            "refundStatusLabel": "synthetic-example",
            "descriptor": "synthetic-example",
            "inventoryName": "synthetic-example",
            "date": "synthetic-example",
            "time": "synthetic-example",
            "dateLabel": "synthetic-example",
            "timeLabel": "synthetic-example",
            "dateTimeLabel": "synthetic-example",
            "partySizeLabel": "synthetic-example",
            "checkInName": "synthetic-example",
            "email": "synthetic-example",
            "phone": "synthetic-example",
            "detailStatement": "synthetic-example",
            "purchaseSummary": "synthetic-example",
            "purchaseAmountFormatted": "synthetic-example",
            "status": "Draft",
            "headcount": 0,
            "customFields": [],
            "isPast": false
        },
        "people": {
            "ownerAlias": "synthetic-example",
            "creatorAlias": "synthetic-example"
        },
        "guests": [],
        "review": [],
        "actions": {
            "shareURL": "synthetic-example",
            "addTransferServiceCheckoutURL": "synthetic-example",
            "addTransferServicePriceLabel": "synthetic-example",
            "addTransferServiceLocationName": "synthetic-example",
            "addTransferServiceInventoryName": "synthetic-example",
            "addTransferServiceDateLabel": "synthetic-example",
            "addTransferServiceTimeLabel": "synthetic-example",
            "reportProblemURL": "synthetic-example",
            "refundChatURL": "synthetic-example",
            "refundChatV2URL": "synthetic-example",
            "sellerChatURL": "synthetic-example",
            "sellerChatV2URL": "synthetic-example",
            "absoluteShareURL": "synthetic-example",
            "addServiceAppointmentID": 0,
            "addTransferServicePriceSmallestUnit": 0,
            "refundChatID": 0,
            "sellerChatID": 0,
            "addServiceAvailable": false,
            "manageAvailable": false,
            "reportInfractionAvailable": false,
            "resellAvailable": false,
            "transferService": {
                "visible": false,
                "requestAvailable": false,
                "cancelAvailable": false,
                "isRequested": false,
                "isInTransfer": false,
                "isCompleted": false,
                "isFailed": false,
                "appointmentID": 0,
                "type": "synthetic-example",
                "status": "synthetic-example",
                "listingUUID": "synthetic-example",
                "currentName": "synthetic-example",
                "requestedName": "synthetic-example",
                "requestedGivenName": "synthetic-example",
                "requestedFamilyName": "synthetic-example",
                "requestedByAlias": "synthetic-example",
                "requestedAt": "synthetic-example",
                "requestEndpoint": "synthetic-example",
                "cancelEndpoint": "synthetic-example"
            },
            "reviewRequest": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            },
            "locationReview": {
                "reviewRequestID": 0,
                "selectedBoardID": 0,
                "boardID": 0,
                "targetID": 0,
                "targetLocationID": 0,
                "locationID": 0,
                "appointmentID": 0,
                "targetType": "user",
                "targetRole": "buyer",
                "selectedBoard": {
                    "id": 0,
                    "boardID": 0,
                    "count": 0,
                    "slug": "synthetic-example",
                    "name": "synthetic-example",
                    "city": "synthetic-example",
                    "cityGroupCode": "synthetic-example",
                    "intent": "synthetic-example",
                    "callback": "synthetic-example",
                    "unitLabel": "synthetic-example",
                    "routingDescription": "synthetic-example",
                    "createsRegularBoardPost": false,
                    "isDefaultRequestBoard": false,
                    "isDefaultListingBoard": false,
                    "routingEnabled": false,
                    "selected": false
                },
                "targetDisplayName": "synthetic-example",
                "locationName": "synthetic-example",
                "locationAlias": "synthetic-example",
                "title": "synthetic-example",
                "subtitle": "synthetic-example",
                "prompt": "synthetic-example",
                "ctaLabel": "synthetic-example",
                "completed": false,
                "targetUserID": 0,
                "targetAlias": "synthetic-example",
                "targetProfileURL": "synthetic-example",
                "completedPostID": 0,
                "completedPostURL": "synthetic-example",
                "viewURL": "synthetic-example"
            }
        },
        "copy": {
            "title": "synthetic-example",
            "description": "synthetic-example"
        }
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/reservation/set_accept_sharecode

#
Accepts a share code for the acting signed-in user.

パラメーター

名前型必須既定値説明
sharecode string いいえ "" Share code from /share/{code}.
incognito bool いいえ false If true, validates the share code but does not add the acting user as a shared guest.
isWritingRequest bool いいえ false Must be true to write the share acceptance.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/reservation/set_accept_sharecode' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'sharecode={{sharecode}}' \
  --data-urlencode 'incognito={{incognito}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$reservation_set_accept_sharecode_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.listingUUID はい
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[1] = null はい
$.oneOf[0].allOf[1].Payload.listingUUID.anyOf[2] = false はい
$.oneOf[0].allOf[1].Payload.detailURLstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_accept_sharecode",
    "RequestUserAlias": "example-user",
    "Payload": {
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/reservation/set_approve_review

#
Approves a native reservation review for the acting reviewer.

パラメーター

名前型必須既定値説明
listingUUID string いいえ "" Reservation/listing UUID.
isWritingRequest bool いいえ false Must be true to approve the review.
expectedRevision string いいえ "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/reservation/set_approve_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$reservation_set_approve_review_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.success = true はい
$.oneOf[0].allOf[1].Payload.messagestring はい
$.oneOf[0].allOf[1].Payload.appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.pointsReceivedDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.pointsReceived.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.newBalance はい
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0]DatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.newBalance.anyOf[1]null はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_approve_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "pointsReceived": 0,
        "newBalance": 0
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/reservation/set_begin_review

#
Begins native reservation review for the acting reviewer.

パラメーター

名前型必須既定値説明
listingUUID string いいえ "" Reservation/listing UUID.
isWritingRequest bool いいえ false Must be true to claim the review.
expectedRevision string いいえ "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/reservation/set_begin_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$reservation_set_begin_review_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.success = true はい
$.oneOf[0].allOf[1].Payload.messagestring はい
$.oneOf[0].allOf[1].Payload.appointmentIDinteger はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_begin_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/reservation/set_cancel_transfer_service

#
Cancels transfer service for the acting buyer's reservation, including transfer work already in progress.

パラメーター

名前型必須既定値説明
listingUUID string いいえ "" Reservation/listing UUID.
isWritingRequest bool いいえ false Must be true to cancel transfer service.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/reservation/set_cancel_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$reservation_set_cancel_transfer_service_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.success = true はい
$.oneOf[0].allOf[1].Payload.messagestring はい
$.oneOf[0].allOf[1].Payload.appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.listingUUIDstring はい
$.oneOf[0].allOf[1].Payload.statusstring はい
$.oneOf[0].allOf[1].Payload.detailURLstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_cancel_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/reservation/set_reject_review

#
Rejects a native reservation review for the acting reviewer.

パラメーター

名前型必須既定値説明
listingUUID string いいえ "" Reservation/listing UUID.
reason string いいえ "" Revision reason for the seller.
respondByDate string いいえ "" Respond-by date.
respondByTime string いいえ "" Respond-by time.
isWritingRequest bool いいえ false Must be true to reject the review.
expectedRevision string いいえ "" Current review.revision from /v1/reservation/get_detail; required for bid confirmations.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/reservation/set_reject_review' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'reason={{reason}}' \
  --data-urlencode 'respondByDate={{respondByDate}}' \
  --data-urlencode 'respondByTime={{respondByTime}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}' \
  --data-urlencode 'expectedRevision={{expectedRevision}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$reservation_set_reject_review_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payload はい
$.oneOf[0].allOf[1].Payload.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.anyOf[0].success = true はい
$.oneOf[0].allOf[1].Payload.anyOf[0].messagestring はい
$.oneOf[0].allOf[1].Payload.anyOf[0].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.anyOf[0].revisionURLstring はい
$.oneOf[0].allOf[1].Payload.anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.anyOf[1].success = true はい
$.oneOf[0].allOf[1].Payload.anyOf[1].messagestring はい
$.oneOf[0].allOf[1].Payload.anyOf[1].appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceivedDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.anyOf[1].pointsReceived.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance はい
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0]DatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.anyOf[1].newBalance.anyOf[1]null はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_reject_review",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "revisionURL": "synthetic-example"
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/reservation/set_request_transfer_service

#
Requests transfer service for the acting buyer's reservation.

パラメーター

名前型必須既定値説明
listingUUID string いいえ "" Reservation/listing UUID.
givenName string いいえ "" First name to put on the reservation.
familyName string いいえ "" Last name to put on the reservation.
isWritingRequest bool いいえ false Must be true to request the transfer.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/reservation/set_request_transfer_service' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'listingUUID={{listingUUID}}' \
  --data-urlencode 'givenName={{givenName}}' \
  --data-urlencode 'familyName={{familyName}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$reservation_set_request_transfer_service_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.success = true はい
$.oneOf[0].allOf[1].Payload.messagestring はい
$.oneOf[0].allOf[1].Payload.appointmentIDinteger はい
$.oneOf[0].allOf[1].Payload.listingUUIDstring はい
$.oneOf[0].allOf[1].Payload.status = "Transfer Requested" はい
$.oneOf[0].allOf[1].Payload.requestedNamestring はい
$.oneOf[0].allOf[1].Payload.detailURLstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/reservation/set_request_transfer_service",
    "RequestUserAlias": "example-user",
    "Payload": {
        "success": true,
        "message": "synthetic-example",
        "appointmentID": 0,
        "listingUUID": "synthetic-example",
        "status": "Transfer Requested",
        "requestedName": "synthetic-example",
        "detailURL": "synthetic-example"
    }
}
機械可読のエンドポイントドキュメント